# Grid - Address Column

{% hint style="warning" %}
LWS must be activated in your organization to access this feature.
{% endhint %}

GridMate provides a **Grid - Address Column**  that allows users to input their exact location into a grid with an autocomplete feature, enhancing user experience and data accuracy.

### &#x20;Column Configuration

Below the JSON Config for the formula field.

```coffeescript
LWC("gmpkg/dataGridAddressCellLWC",
"streetField",
"BillingStreet",
"cityField",
"BillingCity",
"postalCodeField",
"BillingPostalCode",
"stateField",
"BillingState",
"countryField",
"BillingCountry",
"latitudeField",
"BillingLatitude",
"longitudeField",
"BillingLongitude",
"autoCompleteHandler",
"GeoApifyAutoCompleteHandler"
)
```

{% hint style="info" %}
You need an autocomplete handler (e.g., `GeoApifyAutoCompleteHandler`) that provides location suggestions based on user input.

The Address Column component is able to manage any address either a standard or custom field. We are able to handle the mapping  through the component parameters.
{% endhint %}

### Column Setup

Below is a step by step tutorial to configure the **Grid - Address Column**.

{% embed url="<https://youtu.be/K1fkFhxu9fI>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/advanced-guides/grid-address-column.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
